# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXPt, DXVec

Function

Constructs a Point or a Vector with the specified coordinates.

Syntax
`
#include <dx/dx.h>
`

Point DXPt(double x, double y, double z)
Point DXVec(double x, double y, double z)

Functional Details

A `Point` or `Vector` is defined as
`
typedef struct point {
float x, y, z;
} Point, Vector;
`

Return Value

Return the point or vector.

See Also

"Points and Vectors".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]